## org.apache.cassandra.io.util
Class MemoryOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.cassandra.io.util.MemoryOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class MemoryOutputStream

extends java.io.OutputStream

This class provides a way to stream the writes into the `Memory`

Constructor Summary
`MemoryOutputStream(com.sun.jna.Memory mem)`

Method Summary
`int` `position()`
`void` `write(int b)`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryOutputStream

    public MemoryOutputStream(com.sun.jna.Memory mem)

Method Detail

### write

    public void write(int b)

  Specified by:
    `write` in class `java.io.OutputStream`

### position

    public int position()

Copyright © 2012 The Apache Software Foundation